//
// HGA v1.3.1
// File: qsimsetup
// This file is only useful to those who use the Mentor Graphics tools for
// VHDL compilation and simulation.  All others may safely ignore this file.
//
// Copyright (c) 1997, 1995, 1994 Stephen D. Scott and the University of
// Nebraska-Lincoln.  All rights reserved.
//
// Permission to use or modify this software and its documentation only
// for educational purposes and without fee is hereby granted, provided
// that the above copyright notice appears in all copies.  The author
// and university make no representations about the suitability of this
// software for any purpose.  It is provided "as is" without express or
// implied warranty.  The author and university shall not be liable in
// any event for incidental or consequential damages in connection
// with, or arising out of, the furnishing, performance, or use of
// these programs.
//

// Set up initial signals (including toggling go)
   $$force_multiple_values_menu_item("/go", void, @relative, [0], ["0"]);
   $$force_multiple_values_menu_item("/go", void, @relative, [0, 30], ["0", "1"]);
   $$force_multiple_values_menu_item("/reset", void, @relative, [0, 20], ["1", "0"]);
   $$force_clock_menu_item("/clk", 10, 5, "1", 0, "0", void, @relative, @clear);
// Tell it to use default fitness function in fitness.hdl
   $$force_multiple_values_menu_item("/offchipfit", void, @relative, [0], ["0"]);
// Tell it to use population number 0 first.
   $$force_multiple_values_menu_item("/toggleinit", void, @relative, [0], ["0"]);
// Tell it to stop simulating after the done signal changes 3 times (in
// my original kludge, 3 is the correct value)
   $$add_breakpoint("/done", "", 3, "", @change, @end, @filter, @stop, @nodelay);
// Now run for a long time
    $run(1000000000, @relative);
// Breakpoint reached
// Tell user which population is the final one
  $write_file(2, "Done: Final population is ");
  $writeln_file(2, $get_signal_value("/toggleout", void, @decimal));
// Quit
   $$force_exit();
